#ifndef POTATOR_H
#define POTATOR_H

#include "scene/gibgeneratornode.h"
#include "SparrowInput/input.h"

class PlayerCharacterNode;
class Mesh;
class GibScript;
/*
class Potator : public GibGeneratorNode
{
    PlayerCharacterNode *m_player;

    GibScript* m_shieldScript;
    GibScript* m_bottleScript;
    GibScript* m_swordScript;

    void throwShield();
    void throwBottle();
    void throwSword();

public:
    Potator(PlayerCharacterNode * player = nullptr,
            int shield_action = NO_ACTION,
            int sphere_action = NO_ACTION,
            int object_action = NO_ACTION);

    void setPlayer(PlayerCharacterNode *player) { m_player = player; }

    virtual void update();
};*/

#endif // POTATOR_H
